Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DLTaggedObject

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ASN1Primitive
              org.bouncycastle.asn1.ASN1TaggedObject
                  org.bouncycastle.asn1.DLTaggedObject

All Implemented Interfaces:
  ASN1Encodable, ASN1TaggedObjectParser, Encodable, InMemoryRepresentable

public class DLTaggedObject
extends ASN1TaggedObject

Definite Length TaggedObject - in ASN.1 notation this is any object preceded by a [n] where n is some number - these are assumed to follow the construction rules (as with sequences).

Constructor Summary
`DLTaggedObject(boolean explicit, int tagNo, ASN1Encodable obj)`
`DLTaggedObject(boolean explicit, int tagClass, int tagNo, ASN1Encodable obj)`
`DLTaggedObject(int tagNo, ASN1Encodable encodable)`
`DLTaggedObject(int tagClass, int tagNo, ASN1Encodable encodable)`

Methods inherited from class org.bouncycastle.asn1.ASN1TaggedObject
`getBaseObject, getBaseUniversal, getContextInstance, getContextInstance, getContextOptional, getContextOptional, getExplicitBaseObject, getExplicitBaseTagged, getImplicitBaseTagged, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getLoadedObject, getOptional, getOptional, getOptional, getTagClass, getTagNo, hasContextTag, hasContextTag, hashCode, hasTag, hasTagClass, isExplicit, parseBaseUniversal, parseExplicitBaseObject, parseExplicitBaseTagged, parseImplicitBaseTagged, toString`

Methods inherited from class org.bouncycastle.asn1.ASN1Primitive
`encodeTo, encodeTo, equals, equals, equals, fromByteArray, toASN1Primitive`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`getEncoded, getEncoded, hasEncodedTagValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.bouncycastle.asn1.ASN1Encodable
`toASN1Primitive`

Constructor Detail

### DLTaggedObject

    public DLTaggedObject(int tagNo,
                          ASN1Encodable encodable)

### DLTaggedObject

    public DLTaggedObject(int tagClass,
                          int tagNo,
                          ASN1Encodable encodable)

### DLTaggedObject

    public DLTaggedObject(boolean explicit,
                          int tagNo,
                          ASN1Encodable obj)

Parameters:
  `explicit` - true if an explicitly tagged object.
  `tagNo` - the tag number for this object.
  `obj` - the tagged object.

### DLTaggedObject

    public DLTaggedObject(boolean explicit,
                          int tagClass,
                          int tagNo,
                          ASN1Encodable obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD